// PrintDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Program01.h"
#include "PrintDlg.h"
#include ".\printdlg.h"


// CPrintDlg dialog

IMPLEMENT_DYNAMIC(CPrintDlg, CDialog)
CPrintDlg::CPrintDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPrintDlg::IDD, pParent)
{
}

CPrintDlg::~CPrintDlg()
{
}

void CPrintDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CPrintDlg, CDialog)
	ON_BN_CLICKED(IDC_PRINT_BUTTON, OnBnClickedPrintButton)
END_MESSAGE_MAP()


// CPrintDlg message handlers

void CPrintDlg::OnBnClickedPrintButton()
{
	Print();
}

void CPrintDlg::Print() {
    DOCINFO di;     // must have DOCINFO for CDCStartDoc(DOCINFO)

    memset(&di, 0, sizeof(DOCINFO)); // make a clean start
    di.cbSize = sizeof(DOCINFO);
    di.lpszDocName = "Testing";

    CDC dc;
	/*
	 * Create the device context for the printer
	 */
	if(! dc.CreateDC(NULL, EPS_PRINTER_NAME, NULL, NULL) )
    {
		AfxMessageBox(_T("Printer is not available."));
		return;
    }

    dc.StartDoc(&di);
	
	/*
	 * Perform the printing of the text
	 */
	CFont font, *old;
	font.CreatePointFont(95, "FontA11", &dc);
	old = dc.SelectObject(&font);
	dc.TextOut(20, 10, "Hello APD!");
	dc.SelectObject(old);
	font.DeleteObject();
	
    dc.EndPage();
    dc.EndDoc();
    dc.DeleteDC();
}