#pragma once

#include "StatusAPI.h"


// Define printer properties
#define	EPS_PRINTER_NAME	"EPSON TM-T88V Receipt"

#define	LOGO_FILENAME		"APDLogo.bmp"

// CPrintDlg dialog

// Callback function for Status API
int CALLBACK CBGetStatus(DWORD dwStatus);

class CPrintDlg : public CDialog
{
	DECLARE_DYNAMIC(CPrintDlg)

public:
	CPrintDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPrintDlg();
	
// Dialog Data
	enum { IDD = IDD_PRINT_DIALOG };

protected:
private:

	CStatusAPI	m_statAPI;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	void Print ( void );
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedPrintButton();
public:
	afx_msg void OnBnClickedButton2();
public:
	afx_msg void OnBnClickedCloseButton();
};
