#pragma once

#include "EpsStmApi.h"
#include "StatusAPI.h"

#define	EPS_PRINTER_NAME	"EPSON TM-T88V Receipt"

// CPrintDlg dialog

class CPrintDlg : public CDialog
{
	DECLARE_DYNAMIC(CPrintDlg)

public:
	CPrintDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPrintDlg();

// Dialog Data
	enum { IDD = IDD_PRINT_DIALOG };
private:
	/* For this program, we use threads so that the "Wait" operation can
	   be cancelled 
	   */
	HANDLE		hThread;
	unsigned	ThreadId;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedPrintButton();
	afx_msg void OnBnClickedCancelButton();
	afx_msg void OnBnClickedButtonClose();
};

// Thread function
unsigned __stdcall printDocument ( void *arglist );